/*==================================================================================================
 * ヘッダー　メニュー
 *================================================================================================*/
 
.home header#header {
	 border-top: 6px solid #1fa1de;
	 background-color: white;
    height: 88px;
    z-index: 9999;
}

h1.headrogo img {
	height: 60px;
	width: auto;
}
h1.headrogo span {
	display: none;
}

.naviber {
	z-index: 100;
}

/*========= 途中からハンバーガーメニューに変化するのためのCSS ===============*/

/*========= ボタンのためのCSS ===============*/

/*ボタン全体の形状*/
.openbtn{
    /*はじめは非表示に*/
	display: none;
    /*ボタンの位置*/
	position:fixed;
	top:18px;
	right: 18px;
	z-index: 999;
    /*ボタンの形状*/
    border: 5px solid #afd2ec;
	cursor: pointer;
    width: 150px;
    height:150px;
	border-radius: 75px;
}

/*ボタンのアイコン設定*/
.openbtn span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 30px;
    height: 8px;
    border-radius: 2px;
	background-color: #afd2ec;
  	width: 58%;
  }

.openbtn span:nth-of-type(1) {
	top:45px;	
}

.openbtn span:nth-of-type(2) {
	top:65px;
}

.openbtn span:nth-of-type(3) {
	top:85px;
}

/*activeクラスが付与された後のボタンのアイコン設定*/
.openbtn.active span:nth-of-type(1) {
    top: 58px;
    left: 37px;
    transform: translateY(6px) rotate(-45deg);
    width: 48%;
}

.openbtn.active span:nth-of-type(2) {
	opacity: 0;
}

.openbtn.active span:nth-of-type(3){
    top: 70px;
    left: 38px;
    transform: translateY(-6px) rotate(45deg);
    width: 48%;
}

/*fadeDownクラスが付与された後のボタンの出現アニメーション設定*/
.fadeDown {
    animation-name: fadeDownAnime;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
    opacity: 0;
    display: block;
}
@keyframes fadeDownAnime{
  from {
    opacity: 0;
	transform: translateY(-100px);
  }

  to {
    opacity: 1;
	transform: translateY(0);
  }
}


/*========= ヘッダーナビゲーションのためのCSS ===============*/
.menu-gnavi-container {
	display: none;
}

/*.doneクラスがついたヘッダー*/
#header.dnone {
	opacity: 0;/*透過0にして非表示に*/
}

/*メニューボタンをクリックした際に付与されるpanelactiveクラスがついたら*/
#header.dnone.panelactive {
	opacity: 1;/*不透明にして出現*/
}


/*==ヘッダーのテキストナビゲーションの形状*/
#g-navi ul{
	list-style: none;
	display: flex;
	justify-content: center;
}

#g-navi ul li a{
	display: block;
	text-decoration: none;
	color: #666;
	padding:10px;
}

#g-navi ul li.current a,
#g-navi ul li a:hover{
	color:#fff;	
}

/*.doneクラスがついたヘッダーのテキストナビゲーションの形状*/
#header.dnone #g-navi{
    /*固定位置にして最背面に*/
    position:fixed;
	top: 0;
    left: 0;
	z-index: -1;
    /*高さと幅*/  
	width:100%;
	height: 100vh;
    /*天地中央＆テキスト中央揃え*/  
	display: flex;
	justify-content: center;
	align-items: center;
	text-align: center;
    /*はじめは透過0に*/  
    opacity: 0;
	transition: all 0.4s;
}

/*メニューボタンをクリックした際に付与されるpanelactiveクラスがついたナビゲーションの形状*/
#header.dnone.panelactive #g-navi{
	opacity: 1;/*不透明に*/
	z-index:3;/*最前面に*/
	background:#eee;
}

#header.dnone.panelactive #g-navi ul{
	display:block;/*flexの横並びをblockにして縦並びに*/
}


/*リストの形状*/

#header.dnone.panelactive #g-navi li a{
	color: #333;
	text-decoration: none;
	padding:10px;
	display: block;
	text-transform: uppercase;
	letter-spacing: 0.1em;
	font-weight: bold;
	transition:all 0.3s;
}

/* 以下は検証用のレイアウトのための CSS*/
section{
  padding:300px 0;
}